Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.item.crafting
Class ShapedRecipes

    java.lang.Object
      net.minecraft.item.crafting.ShapedRecipes

All Implemented Interfaces:
  IRecipe

Direct Known Subclasses:
  RecipesMapExtending

    public class ShapedRecipes

extends Object
implements IRecipe

Field Summary
`int` | `recipeHeight` How many vertical slots this recipe uses.
`ItemStack[]` | `recipeItems` Is a array of ItemStack that composes the recipe.
`int` | `recipeOutputItemID` Is the itemID of the output item that you get when craft the recipe.
`int` | `recipeWidth` How many horizontal slots this recipe is wide.

Constructor Summary
`ShapedRecipes(int par1, int par2, ItemStack[] par3ArrayOfItemStack, ItemStack par4ItemStack)`

Method Summary
`ShapedRecipes` | `func_92048_c()`
`ItemStack` | `getCraftingResult(InventoryCrafting par1InventoryCrafting)` Returns an Item that is the result of this recipe
`ItemStack` | `getRecipeOutput()`
`int` | `getRecipeSize()` Returns the size of the recipe area
`boolean` | `matches(InventoryCrafting par1InventoryCrafting, World par2World)` Used to check if a recipe matches current crafting inventory

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### recipeWidth

    public final int recipeWidth

  How many horizontal slots this recipe is wide.

### recipeHeight

    public final int recipeHeight

  How many vertical slots this recipe uses.

### recipeItems

    public final ItemStack[] recipeItems

  Is a array of ItemStack that composes the recipe.

### recipeOutputItemID

    public final int recipeOutputItemID

  Is the itemID of the output item that you get when craft the recipe.

Constructor Detail

### ShapedRecipes

    public ShapedRecipes(int par1,
                         int par2,
                         ItemStack[] par3ArrayOfItemStack,
                         ItemStack par4ItemStack)

Method Detail

### getRecipeOutput

    public ItemStack getRecipeOutput()

  Specified by:
    `getRecipeOutput` in interface `IRecipe`

### matches

    public boolean matches(InventoryCrafting par1InventoryCrafting,
                           World par2World)

  Used to check if a recipe matches current crafting inventory

  Specified by:
    `matches` in interface `IRecipe`

### getCraftingResult

    public ItemStack getCraftingResult(InventoryCrafting par1InventoryCrafting)

  Returns an Item that is the result of this recipe

  Specified by:
    `getCraftingResult` in interface `IRecipe`

### getRecipeSize

    public int getRecipeSize()

  Returns the size of the recipe area

  Specified by:
    `getRecipeSize` in interface `IRecipe`

### func_92048_c

    public ShapedRecipes func_92048_c()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD